libzypp: zypp::sat::detail::SolvableIterator Class Reference

libzypp 17.38.9

zypp::sat::detail::SolvableIterator Class Reference

Iterate over valid Solvables in the pool. More...

`#include <zypp/sat/Solvable.h>`

Inheritance diagram for zypp::sat::detail::SolvableIterator:

## Public Member Functions
| SolvableIterator ()
| SolvableIterator (const Solvable &val_r)
| SolvableIterator (SolvableIdType id_r)

## Private Member Functions
Solvable | dereference () const
void | increment ()
void | initialAssignVal (const Solvable &val_r)
void | assignVal (const Solvable &val_r)

## Private Attributes
Solvable | _val

## Friends
class | boost::iterator_core_access

## Detailed Description

Iterate over valid Solvables in the pool.

If the Solvable passed to the ctor is not valid, advance to the next valid solvable (or Solvable::noSolvable if the end is reached,

Definition at line 545 of file Solvable.h.

## Constructor & Destructor Documentation

## ◆ SolvableIterator() [1/3]

zypp::sat::detail::SolvableIterator::SolvableIterator | ( |  | ) |
| inline

Definition at line 554 of file Solvable.h.

## ◆ SolvableIterator() [2/3]

zypp::sat::detail::SolvableIterator::SolvableIterator | ( | const Solvable & | val_r | ) |
| inlineexplicit

Definition at line 558 of file Solvable.h.

## ◆ SolvableIterator() [3/3]

zypp::sat::detail::SolvableIterator::SolvableIterator | ( | SolvableIdType | id_r | ) |
| inlineexplicit

Definition at line 562 of file Solvable.h.

## Member Function Documentation

## ◆ dereference()

Solvable zypp::sat::detail::SolvableIterator::dereference | ( |  | ) | const
| inlineprivate

Definition at line 569 of file Solvable.h.

## ◆ increment()

void zypp::sat::detail::SolvableIterator::increment | ( |  | ) |
| inlineprivate

Definition at line 572 of file Solvable.h.

## ◆ initialAssignVal()

void zypp::sat::detail::SolvableIterator::initialAssignVal | ( | const Solvable & | val_r | ) |
| inlineprivate

Definition at line 576 of file Solvable.h.

## ◆ assignVal()

void zypp::sat::detail::SolvableIterator::assignVal | ( | const Solvable & | val_r | ) |
| inlineprivate

Definition at line 579 of file Solvable.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 567 of file Solvable.h.

## Member Data Documentation

## ◆ _val

Solvable zypp::sat::detail::SolvableIterator::_val
| private

Definition at line 582 of file Solvable.h.

The documentation for this class was generated from the following file:

- zypp/sat/Solvable.h